Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jp.sbi.celldesigner.plugin
Class PluginSpecies

    java.lang.Object
      jp.sbi.celldesigner.plugin.PluginSBase
          jp.sbi.celldesigner.plugin.PluginSpecies

    public class PluginSpecies

extends PluginSBase

This class wraps org.sbml.libsbml.Species for the plug-in.

Author:

Field Summary

Fields inherited from class jp.sbi.celldesigner.plugin.PluginSBase
`sbase`

Constructor Summary
`protected` | `PluginSpecies()` Constructor
`` | `PluginSpecies(java.lang.String type, java.lang.String name)` Constructor

Method Summary
`void` | `addSpeciesAlias(PluginSpeciesAlias alias)` Adds the PluginSpeciesAlias to this Species.
`boolean` | `getBoundaryCondition()`
`int` | `getCharge()`
`java.lang.String` | `getCompartment()`
`boolean` | `getConstant()`
`boolean` | `getHasOnlySubstanceUnits()`
`java.lang.String` | `getId()`
`double` | `getInitialAmount()`
`double` | `getInitialConcentration()`
`PluginListOf` | `getListOfSpeciesAlias()`
`java.lang.String` | `getName()`
`int` | `getNumSpeciesAlias()`
`java.lang.String` | `getPositionToCompartment()`
`java.lang.String` | `getSpatialSizeUnits()`
`PluginSpeciesAlias` | `getSpeciesAlias(int index)`
`PluginSpeciesAlias` | `getSpeciesAlias(java.lang.String aliasId)`
`java.lang.String` | `getSpeciesType()`
`java.lang.String` | `getSubstanceUnits()`
`java.lang.String` | `getUnits()`
`boolean` | `isSetInitialAmount()`
`boolean` | `isSetInitialConcentration()`
`void` | `removeSpeciesAlias(int index)` Removes PluginSpeciesAlias from this Species.
`void` | `removeSpeciesAlias(java.lang.String aliasId)` Removes PluginSpeciesAlias from this Species.
`void` | `setBoundaryCondition(boolean boundaryCondition)` Sets the boundaryCondition of this PluginSpecies.
`void` | `setCharge(int charge)` Sets the charge of this PluginSpecies.
`void` | `setCompartment(java.lang.String compartment)` Sets the compartment of this PluginSpecies.
`void` | `setConstant(boolean constant)` Sets the constant of this PluginSpecies.
`void` | `setHasOnlySubstanceUnits(boolean hasOnlySubstanceUnits)` Sets the HasOnlySubstanceUnits of this PluginSpecies.
`protected void` | `setId(java.lang.String id)` Sets the id of this PluginSpecies.
`void` | `setInitialAmount(double initialAmount)` Sets the InitialAmount of this PluginSpecies.
`void` | `setInitialConcentration(double initialConcentration)` Sets the initialConcentration of this PluginSpecies.
`void` | `setListOfSpeciesAlias(PluginListOf listOfPluginSpeciesAlias)` Sets listOfPluginSpeciesAlias of this PluginSpecies.
`protected void` | `setName(java.lang.String name)` Sets the name of this PluginSpecies.
`protected void` | `setPositionToCompartment(java.lang.String positionToCompartment)` Sets the position of this PluginSpecies
`void` | `setSpatialSizeUnits(java.lang.String spatialSizeUnits)` Sets the spatialSizeUnits of this PluginSpecies.
`void` | `setSpeciesType(java.lang.String strSpeciesType)`
`void` | `setSubstanceUnits(java.lang.String substanceUnits)` Sets the hasOnlySubstanceUnits field of this PluginSpecies.
`void` | `setUnits(java.lang.String units)` Sets the units of this PluginSpecies
`void` | `update(PluginSpecies species)` Update all properties of this PluginSpecies to the same as the given PluginSpecies.

Methods inherited from class jp.sbi.celldesigner.plugin.PluginSBase
`addCVTerm, ChangeCVTermToMiriamDefinition, getAnnotation, getAnnotationString, getCVTerm, getNotes, getNotesString, getNumCVTerms, getParentSBase, getRelationFromCVTerm, setAnnotation, setAnnotationString, setCVTerm, setNotes, setNotes, setParentSBase, toSBML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginSpecies

    public PluginSpecies(java.lang.String type,
                         java.lang.String name)

  Constructor

  Parameters:
    `type` - the one of the field of PluginSpeciesSymbolType
    `name` -

### PluginSpecies

    protected PluginSpecies()

  Constructor

Method Detail

### update

    public void update(PluginSpecies species)

  Update all properties of this PluginSpecies to the same as the given PluginSpecies.

  Parameters:
    `species` -

### getId

    public java.lang.String getId()

  Returns:
    the id of this Species

### setId

    protected void setId(java.lang.String id)

  Sets the id of this PluginSpecies.

  Parameters:
    `id` -

### getName

    public java.lang.String getName()

  Returns:
    the name of this Species.

### setName

    protected void setName(java.lang.String name)

  Sets the name of this PluginSpecies.

  Parameters:
    `name` -

### getSpeciesType

    public java.lang.String getSpeciesType()

### setSpeciesType

    public void setSpeciesType(java.lang.String strSpeciesType)

### getCompartment

    public java.lang.String getCompartment()

  Returns:
    compartment of this Species.

### setCompartment

    public void setCompartment(java.lang.String compartment)

  Sets the compartment of this PluginSpecies.

  Parameters:
    `compartment` -

### getInitialAmount

    public double getInitialAmount()

  Returns:
    the initialAmount of this PluginSpecies.

### setInitialAmount

    public void setInitialAmount(double initialAmount)

  Sets the InitialAmount of this PluginSpecies.

  Parameters:
    `initialAmount` -

### getInitialConcentration

    public double getInitialConcentration()

  Returns:
    the initialConcentration of this Species.

### setInitialConcentration

    public void setInitialConcentration(double initialConcentration)

  Sets the initialConcentration of this PluginSpecies.

  Parameters:
    `initialConcentration` -

### isSetInitialAmount

    public boolean isSetInitialAmount()

  Returns:
    true if the initialAmount of this PluginSpecies has been set, false otherwise.

### isSetInitialConcentration

    public boolean isSetInitialConcentration()

  Returns:
    true if the initalConcentration of this PluginSpecies has been set, false otherwise.

### getBoundaryCondition

    public boolean getBoundaryCondition()

  Returns:
    the boundaryCondition of this Species.

### setBoundaryCondition

    public void setBoundaryCondition(boolean boundaryCondition)

  Sets the boundaryCondition of this PluginSpecies.

  Parameters:
    `boundaryCondition` -

### getCharge

    public int getCharge()

  Returns:
    the charge of this PluginSpecies.

### setCharge

    public void setCharge(int charge)

  Sets the charge of this PluginSpecies.

  Parameters:
    `charge` -

### getConstant

    public boolean getConstant()

  Returns:
    the constant of this PluginSpecies.

### setConstant

    public void setConstant(boolean constant)

  Sets the constant of this PluginSpecies.

  Parameters:
    `constant` -

### getHasOnlySubstanceUnits

    public boolean getHasOnlySubstanceUnits()

  Returns:
    true if this Species hasOnlySubstanceUnits, false otherwise.

### setHasOnlySubstanceUnits

    public void setHasOnlySubstanceUnits(boolean hasOnlySubstanceUnits)

  Sets the HasOnlySubstanceUnits of this PluginSpecies.

  Parameters:
    `hasOnlySubstanceUnits` -

### getSubstanceUnits

    public java.lang.String getSubstanceUnits()

  Returns:
    the SubstanceUnits of this PluginSpecies

### setSubstanceUnits

    public void setSubstanceUnits(java.lang.String substanceUnits)

  Sets the hasOnlySubstanceUnits field of this PluginSpecies.

  Parameters:
    `substanceUnits` -

### getSpatialSizeUnits

    public java.lang.String getSpatialSizeUnits()

  Returns:
    the spatialSizeUnits of this PluginSpecies.

### setSpatialSizeUnits

    public void setSpatialSizeUnits(java.lang.String spatialSizeUnits)

  Sets the spatialSizeUnits of this PluginSpecies.

  Parameters:
    `spatialSizeUnits` -

### getUnits

    public java.lang.String getUnits()

  Returns:
    the units of this PluginSpecies.

### setUnits

    public void setUnits(java.lang.String units)

  Sets the units of this PluginSpecies

  Parameters:
    `units` -

### getPositionToCompartment

    public java.lang.String getPositionToCompartment()

  Returns:
    the position of this Species.

### setPositionToCompartment

    protected void setPositionToCompartment(java.lang.String positionToCompartment)

  Sets the position of this PluginSpecies

  Parameters:
    `positionToCompartment` -

### getNumSpeciesAlias

    public int getNumSpeciesAlias()

  Returns:
    the number of speciesAlias.

### getListOfSpeciesAlias

    public PluginListOf getListOfSpeciesAlias()

  Returns:
    listOfPluginSpeciesAlias

### getSpeciesAlias

    public PluginSpeciesAlias getSpeciesAlias(int index)

  Parameters:
    `index` - the index of PluginSpeciesAlias.
  Returns:
    PluginSpeciesAlias

### getSpeciesAlias

    public PluginSpeciesAlias getSpeciesAlias(java.lang.String aliasId)

  Parameters:
    `aliasId` - the id of the PluginSpeciesAlias.
  Returns:
    PluginSpeciesAlias

### addSpeciesAlias

    public void addSpeciesAlias(PluginSpeciesAlias alias)

  Adds the PluginSpeciesAlias to this Species.

  Parameters:
    `alias` - the PluginSpeciesAlias

### removeSpeciesAlias

    public void removeSpeciesAlias(int index)

  Removes PluginSpeciesAlias from this Species.

  Parameters:
    `index` - the index of the PluginSpeciesAlias to remove.

### removeSpeciesAlias

    public void removeSpeciesAlias(java.lang.String aliasId)

  Removes PluginSpeciesAlias from this Species.

  Parameters:
    `aliasId` - the id of the PluginSpeciesAlias to remove.

### setListOfSpeciesAlias

    public void setListOfSpeciesAlias(PluginListOf listOfPluginSpeciesAlias)

  Sets listOfPluginSpeciesAlias of this PluginSpecies.

  Parameters:
    `listOfPluginSpeciesAlias` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD